Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname pystatgrab
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname pystatgrab

Name:           python-module-pystatgrab
Version:        0.7.1
Release:        alt5_1
Summary:        Python bindings for libstatgrab

License:        LGPLv2+
URL:            http://www.i-scream.org/pystatgrab/
Source0:        https://ftp.i-scream.org/pub/i-scream/pystatgrab/%{oldname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libstatgrab-devel > 0.90
Source44: import.info

%description
Pystatgrab contains Python bindings for libstatgrab.

%package -n python3-module-pystatgrab
Group: Development/Python
Summary:        Python bindings for libstatgrab

BuildRequires:  python3-module-Cython
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oldname}}

%description -n python3-module-pystatgrab
Pystatgrab contains Python bindings for libstatgrab.

%prep
%setup -q -n %{srcname}-%{version}


%build
rm -rf statgrab.c
%python3_build

%install
%python3_install

%check
#PYTHONPATH=%{buildroot}/%{python3_sitelibdir} %{__python3} test.py

%files -n python3-module-pystatgrab
%doc AUTHORS NEWS README
%doc --no-dereference COPYING.LGPL
%{python3_sitelibdir}/*

%changelog
* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 0.7.1-alt5_1
- rebuild to get rid of unmets

* Thu Aug 24 2023 Cronbuild Service <cronbuild@altlinux.org> 0.7.1-alt4_1
- rebuild to get rid of unmets

* Wed Feb 02 2022 Cronbuild Service <cronbuild@altlinux.org> 0.7.1-alt3_1
- rebuild to get rid of unmets

* Thu Apr 15 2021 Cronbuild Service <cronbuild@altlinux.org> 0.7.1-alt2_1
- rebuild to get rid of unmets

* Tue Nov 03 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_1
- update

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2_16
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2_15
- update to new release by fcimport

* Fri Apr 19 2019 Cronbuild Service <cronbuild@altlinux.org> 0.7-alt2_13
- rebuild to get rid of unmets

* Wed Mar 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_16
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_15
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_14
- update to new release by fcimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_13
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_12
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_11
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_10
- initial fc import

